import { fetchAllCustomers, fetchSubsidiaryTypes } from "@/app/api/subsidiary";
import SubsidiaryDetail from "./SubsidiaryDetail";

const CustomerSaveWrapper: React.FC = async () => {
  const [customers, subsidiaryTypes] =
    await Promise.all([
      fetchAllCustomers(),
      fetchSubsidiaryTypes(),
    ]);

  return (
    <SubsidiaryDetail customers={customers} subsidiaryTypes={subsidiaryTypes} />
  );
};

export default CustomerSaveWrapper;
